<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Sat Aug 03 14:01:01 PDT 2013 -->
<TITLE>
NjordiRulePlugin
</TITLE>

<META NAME="date" CONTENT="2013-08-03">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="NjordiRulePlugin";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/NjordiRulePlugin.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?com/theuberlab/njord/plugin/plugins/NjordiRulePlugin.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="NjordiRulePlugin.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
com.theuberlab.njord.plugin.plugins</FONT>
<BR>
Class NjordiRulePlugin</H2>
<PRE>
java.lang.Object
  <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><B>com.theuberlab.njord.plugin.plugins.NjordiRulePlugin</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html" title="interface in com.theuberlab.njord.plugin.interfaces">NjordPluggable</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <B>NjordiRulePlugin</B><DT>extends java.lang.Object<DT>implements <A HREF="../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html" title="interface in com.theuberlab.njord.plugin.interfaces">NjordPluggable</A></DL>
</PRE>

<P>
<code>NjordiRulePlugin</code>
 Hrm... I can't force static methods w/ an interface. Perhaps when instantiated blank it's more of a 'factory' type object?  
 Then how do I specify the difference. I think I may need a fetch() method which tells it to fetch the object from wherever it is (remote or local)
 Which also means I probably needa getIsFecthed() to make sure such a thing has occurred. Or perhaps getEditor should just do that?
<P>

<P>
<DL>
<DT><B>Author:</B></DT>
  <DD>Aaron Forster</DD>
</DL>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;java.util.Map&lt;java.lang.String,java.lang.String&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../com/theuberlab/njord/plugin/plugins/NjordiRulePlugin.html#archetypes">archetypes</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../com/theuberlab/njord/plugin/plugins/NjordiRulePlugin.html#fullCategoryName">fullCategoryName</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../com/theuberlab/njord/plugin/plugins/NjordiRulePlugin.html#nl">nl</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Holds the line separator string for the os we're running on.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../com/theuberlab/njord/plugin/plugins/NjordiRulePlugin.html#shortCategoryName">shortCategoryName</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../com/theuberlab/njord/plugin/plugins/NjordiRulePlugin.html#NjordiRulePlugin()">NjordiRulePlugin</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../com/theuberlab/njord/plugin/plugins/NjordiRulePlugin.html#getArchitypeText(java.lang.String)">getArchitypeText</A></B>(java.lang.String&nbsp;archetypeName)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.fife.ui.rsyntaxtextarea.TextEditorPane</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../com/theuberlab/njord/plugin/plugins/NjordiRulePlugin.html#getEditor()">getEditor</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Should return the object within an editor that I can use to "Edit" this object given the full name (full path) of an object.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../com/theuberlab/njord/plugin/plugins/NjordiRulePlugin.html#getFullName()">getFullName</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Full name would include any path portion /common/stuff</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../com/theuberlab/njord/plugin/plugins/NjordiRulePlugin.html#getIsDirty()">getIsDirty</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Needs to return the clean/dirty status of the object.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../com/theuberlab/njord/plugin/plugins/NjordiRulePlugin.html#getIsLocal()">getIsLocal</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;On a per object basis tells us if the object is local or remote.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../com/theuberlab/njord/plugin/plugins/NjordiRulePlugin.html#getIsLocalSupported()">getIsLocalSupported</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Tells us if we should bother looking for local versions.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.util.List&lt;<A HREF="../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html" title="interface in com.theuberlab.njord.plugin.interfaces">NjordPluggable</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../com/theuberlab/njord/plugin/plugins/NjordiRulePlugin.html#getList()">getList</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The list of items to render in the list.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.util.List&lt;<A HREF="../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html" title="interface in com.theuberlab.njord.plugin.interfaces">NjordPluggable</A>&gt;</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../com/theuberlab/njord/plugin/plugins/NjordiRulePlugin.html#getLocalList()">getLocalList</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Same as getList but for local objects.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.util.Map</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../com/theuberlab/njord/plugin/plugins/NjordiRulePlugin.html#getObjectArchitypes()">getObjectArchitypes</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns a map of archetypes (templates) Suitable for the plugins editor with the form of Map<String archetypeName, object archtype>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../com/theuberlab/njord/plugin/plugins/NjordiRulePlugin.html#getObjectCategory()">getObjectCategory</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;returns the category like iRule, iApps Template, Virtual Server, etc.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../com/theuberlab/njord/plugin/plugins/NjordiRulePlugin.html#getObjectCategoryShortName()">getObjectCategoryShortName</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;returns a short form of the category name suitable for the navigation tree.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../com/theuberlab/njord/plugin/plugins/NjordiRulePlugin.html#getPluginName()">getPluginName</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Get's the plugin name.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../com/theuberlab/njord/plugin/plugins/NjordiRulePlugin.html#getShortName()">getShortName</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../com/theuberlab/njord/plugin/plugins/NjordiRulePlugin.html#saveObject(com.theuberlab.njord.plugin.interfaces.NjordPluggable)">saveObject</A></B>(<A HREF="../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html" title="interface in com.theuberlab.njord.plugin.interfaces">NjordPluggable</A>&nbsp;object)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Writes the object both local or remote.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.Object</B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="fullCategoryName"><!-- --></A><H3>
fullCategoryName</H3>
<PRE>
protected java.lang.String <B>fullCategoryName</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="shortCategoryName"><!-- --></A><H3>
shortCategoryName</H3>
<PRE>
protected java.lang.String <B>shortCategoryName</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="archetypes"><!-- --></A><H3>
archetypes</H3>
<PRE>
protected java.util.Map&lt;java.lang.String,java.lang.String&gt; <B>archetypes</B></PRE>
<DL>
<DL>
</DL>
</DL>
<HR>

<A NAME="nl"><!-- --></A><H3>
nl</H3>
<PRE>
public java.lang.String <B>nl</B></PRE>
<DL>
<DD>Holds the line separator string for the os we're running on.
<P>
<DL>
</DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="NjordiRulePlugin()"><!-- --></A><H3>
NjordiRulePlugin</H3>
<PRE>
public <B>NjordiRulePlugin</B>()</PRE>
<DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getPluginName()"><!-- --></A><H3>
getPluginName</H3>
<PRE>
public java.lang.String <B>getPluginName</B>()</PRE>
<DL>
<DD>Get's the plugin name.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html#getPluginName()">getPluginName</A></CODE> in interface <CODE><A HREF="../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html" title="interface in com.theuberlab.njord.plugin.interfaces">NjordPluggable</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD></DL>
</DD>
</DL>
<HR>

<A NAME="getObjectCategory()"><!-- --></A><H3>
getObjectCategory</H3>
<PRE>
public java.lang.String <B>getObjectCategory</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html#getObjectCategory()">NjordPluggable</A></CODE></B></DD>
<DD>returns the category like iRule, iApps Template, Virtual Server, etc. This should return a name which does not end in an s. The S will be added for list objects.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html#getObjectCategory()">getObjectCategory</A></CODE> in interface <CODE><A HREF="../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html" title="interface in com.theuberlab.njord.plugin.interfaces">NjordPluggable</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD></DL>
</DD>
</DL>
<HR>

<A NAME="getArchitypeText(java.lang.String)"><!-- --></A><H3>
getArchitypeText</H3>
<PRE>
public java.lang.String <B>getArchitypeText</B>(java.lang.String&nbsp;archetypeName)</PRE>
<DL>
<DD><DL>
</DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getObjectCategoryShortName()"><!-- --></A><H3>
getObjectCategoryShortName</H3>
<PRE>
public java.lang.String <B>getObjectCategoryShortName</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html#getObjectCategoryShortName()">NjordPluggable</A></CODE></B></DD>
<DD>returns a short form of the category name suitable for the navigation tree. This should return a name which does not end in an s. The S will be added for list objects.
 Should be a static method for this category.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html#getObjectCategoryShortName()">getObjectCategoryShortName</A></CODE> in interface <CODE><A HREF="../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html" title="interface in com.theuberlab.njord.plugin.interfaces">NjordPluggable</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD></DL>
</DD>
</DL>
<HR>

<A NAME="getList()"><!-- --></A><H3>
getList</H3>
<PRE>
public java.util.List&lt;<A HREF="../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html" title="interface in com.theuberlab.njord.plugin.interfaces">NjordPluggable</A>&gt; <B>getList</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html#getList()">NjordPluggable</A></CODE></B></DD>
<DD>The list of items to render in the list. I need to define a format for these.
 This actually is going to need to be a specific object type which I could return a full path and a short name from. Short name to use in the list and full path for getting and saving.
 Should be a static method.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html#getList()">getList</A></CODE> in interface <CODE><A HREF="../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html" title="interface in com.theuberlab.njord.plugin.interfaces">NjordPluggable</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD></DL>
</DD>
</DL>
<HR>

<A NAME="getLocalList()"><!-- --></A><H3>
getLocalList</H3>
<PRE>
public java.util.List&lt;<A HREF="../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html" title="interface in com.theuberlab.njord.plugin.interfaces">NjordPluggable</A>&gt; <B>getLocalList</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html#getLocalList()">NjordPluggable</A></CODE></B></DD>
<DD>Same as getList but for local objects. getLocalList() should somehow be optional.
 Should be a static method.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html#getLocalList()">getLocalList</A></CODE> in interface <CODE><A HREF="../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html" title="interface in com.theuberlab.njord.plugin.interfaces">NjordPluggable</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD></DL>
</DD>
</DL>
<HR>

<A NAME="getEditor()"><!-- --></A><H3>
getEditor</H3>
<PRE>
public org.fife.ui.rsyntaxtextarea.TextEditorPane <B>getEditor</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html#getEditor()">NjordPluggable</A></CODE></B></DD>
<DD>Should return the object within an editor that I can use to "Edit" this object given the full name (full path) of an object.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html#getEditor()">getEditor</A></CODE> in interface <CODE><A HREF="../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html" title="interface in com.theuberlab.njord.plugin.interfaces">NjordPluggable</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD></DL>
</DD>
</DL>
<HR>

<A NAME="saveObject(com.theuberlab.njord.plugin.interfaces.NjordPluggable)"><!-- --></A><H3>
saveObject</H3>
<PRE>
public boolean <B>saveObject</B>(<A HREF="../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html" title="interface in com.theuberlab.njord.plugin.interfaces">NjordPluggable</A>&nbsp;object)</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html#saveObject(com.theuberlab.njord.plugin.interfaces.NjordPluggable)">NjordPluggable</A></CODE></B></DD>
<DD>Writes the object both local or remote. This means there should be some interface requirements for objecte definition which define clean/dirty as well as get/save methods. Well actually if the object itself defines the save method this one isn't neccesary. OMG confusing
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html#saveObject(com.theuberlab.njord.plugin.interfaces.NjordPluggable)">saveObject</A></CODE> in interface <CODE><A HREF="../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html" title="interface in com.theuberlab.njord.plugin.interfaces">NjordPluggable</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD></DL>
</DD>
</DL>
<HR>

<A NAME="getIsLocalSupported()"><!-- --></A><H3>
getIsLocalSupported</H3>
<PRE>
public boolean <B>getIsLocalSupported</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html#getIsLocalSupported()">NjordPluggable</A></CODE></B></DD>
<DD>Tells us if we should bother looking for local versions. Remote will always be supported since it is the default.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html#getIsLocalSupported()">getIsLocalSupported</A></CODE> in interface <CODE><A HREF="../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html" title="interface in com.theuberlab.njord.plugin.interfaces">NjordPluggable</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD></DL>
</DD>
</DL>
<HR>

<A NAME="getShortName()"><!-- --></A><H3>
getShortName</H3>
<PRE>
public java.lang.String <B>getShortName</B>()</PRE>
<DL>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html#getShortName()">getShortName</A></CODE> in interface <CODE><A HREF="../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html" title="interface in com.theuberlab.njord.plugin.interfaces">NjordPluggable</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getFullName()"><!-- --></A><H3>
getFullName</H3>
<PRE>
public java.lang.String <B>getFullName</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html#getFullName()">NjordPluggable</A></CODE></B></DD>
<DD>Full name would include any path portion /common/stuff
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html#getFullName()">getFullName</A></CODE> in interface <CODE><A HREF="../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html" title="interface in com.theuberlab.njord.plugin.interfaces">NjordPluggable</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD></DL>
</DD>
</DL>
<HR>

<A NAME="getIsDirty()"><!-- --></A><H3>
getIsDirty</H3>
<PRE>
public boolean <B>getIsDirty</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html#getIsDirty()">NjordPluggable</A></CODE></B></DD>
<DD>Needs to return the clean/dirty status of the object.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html#getIsDirty()">getIsDirty</A></CODE> in interface <CODE><A HREF="../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html" title="interface in com.theuberlab.njord.plugin.interfaces">NjordPluggable</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD></DL>
</DD>
</DL>
<HR>

<A NAME="getIsLocal()"><!-- --></A><H3>
getIsLocal</H3>
<PRE>
public boolean <B>getIsLocal</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html#getIsLocal()">NjordPluggable</A></CODE></B></DD>
<DD>On a per object basis tells us if the object is local or remote.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html#getIsLocal()">getIsLocal</A></CODE> in interface <CODE><A HREF="../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html" title="interface in com.theuberlab.njord.plugin.interfaces">NjordPluggable</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD></DL>
</DD>
</DL>
<HR>

<A NAME="getObjectArchitypes()"><!-- --></A><H3>
getObjectArchitypes</H3>
<PRE>
public java.util.Map <B>getObjectArchitypes</B>()</PRE>
<DL>
<DD><B>Description copied from interface: <CODE><A HREF="../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html#getObjectArchitypes()">NjordPluggable</A></CODE></B></DD>
<DD>Returns a map of archetypes (templates) Suitable for the plugins editor with the form of Map<String archetypeName, object archtype>. For example getObjectArchetypes() for iRules returns a map of iRules.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html#getObjectArchitypes()">getObjectArchitypes</A></CODE> in interface <CODE><A HREF="../../../../../com/theuberlab/njord/plugin/interfaces/NjordPluggable.html" title="interface in com.theuberlab.njord.plugin.interfaces">NjordPluggable</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD></DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/NjordiRulePlugin.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?com/theuberlab/njord/plugin/plugins/NjordiRulePlugin.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="NjordiRulePlugin.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
